|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QAbstractItemModel

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QAbstractItemModel class reference

### Protected Functions

- QModelIndex createIndex ( int row, int column, int id ) const `(obsolete)`

## Member Function Documentation

### QModelIndex QAbstractItemModel::createIndex ( int row, int column, int id ) const `[protected]`

This is an overloaded member function, provided for convenience.

Use QModelIndex QAbstractItemModel::createIndex(int row, int column, quint32 id) instead.